Bug 212665 - devel/codeblocks: minor cleanup
Summary: devel/codeblocks: minor cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-13 17:27 UTC by Dmitry Marakasov
Modified: 2016-10-25 08:16 UTC (History)
1 user (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
Patch (1.15 KB, patch)
2016-09-13 17:27 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2016-09-13 17:27:43 UTC
Created attachment 174738 [details]
Patch

- Switch to USES=localbase, remove unneded boost_system linking
- Remove license mentions from pkg-descr - licenses are handled by LICENSE line in the Makefile and they are incorrect anyway (there are no 'or later' options)
Comment 1 Loïc Bartoletti freebsd_committer 2016-09-30 12:45:36 UTC
Poudriere 10, 11, 16 i386/amd64 OK
Compatible with other changes: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=197888
Comment 2 commit-hook freebsd_committer 2016-10-06 11:35:01 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Oct  6 11:34:25 UTC 2016
New revision: 423403
URL: https://svnweb.freebsd.org/changeset/ports/423403

Log:
  - Switch to USES=localbase
  - Remove unneeded license mentions from pkg-descr

  PR:		212665
  Submitted by:	amdmi3
  Approved by:	lbartoletti@tuxfamily.org (maintainer)

Changes:
  head/devel/codeblocks/Makefile
  head/devel/codeblocks/pkg-descr